local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("entertreehouse") then

    disablePause()
    disableMovement()
    wait(0.5)

    doFadeWipe(false)
    wait(1.3)

    setFlag("intreehouse")
    enableMovement()
    enablePause()

  end

end